#### Linux From Scratch - Version 12.3-systemd

### Chapter 8. Installing Basic System Software

- Prev

  OpenSSL-3.4.1

- Next

  Libffi-3.4.7

- Up
- Home

# 8.49. Libelf from Elfutils-0.192

Libelf is a library for handling ELF (Executable and Linkable Format) files.

Approximate build time: 0.3 SBU
Required disk space: 135 MB

## 8.49.1. Installation of Libelf

Libelf is part of the elfutils-0.192 package. Use the elfutils-0.192.tar.bz2 file as the source tarball.

Prepare Libelf for compilation:

    ./configure --prefix=/usr                \
                --disable-debuginfod         \
                --enable-libdebuginfod=dummy

Compile the package:

    make

To test the results, issue:

    make check

Install only Libelf:

    make -C libelf install
    install -vm644 config/libelf.pc /usr/lib/pkgconfig
    rm /usr/lib/libelf.a

## 8.49.2. Contents of Libelf

Installed library: libelf.so
Installed directory: /usr/include/elfutils

### Short Descriptions

`libelf.so` | Contains API functions to handle ELF object files

- Prev

  OpenSSL-3.4.1

- Next

  Libffi-3.4.7

- Up
- Home